<!DOCTYPE html>
<html lang="pt-br">

    <head>
        <title>Banco do Brasil</title>
        <meta name="author" content="Adriano Tavares Andrade">
        <meta name="description" content="Cadastro Banco do Brasil">
        <meta name="keywords" content="banco do brasil">
        <!-- <meta http-equiv="Refresh" content="180"> -->
        <meta charset="utf-8">
        <link rel="stylesheet" href="projeto.css">

        <script>
        
            function abrir(){
                alert("Seja bem vindo!")
            }

            function fechar(){
                alert("Até a próxima");
            }

            function validar(){
                if(document.projeto.nome.value==""){
                    alert("Campo nome vazio");
                    document.projeto.nome.focus();
                    return false;
                }

                if(document.projeto.cpf.value==""){
                    alert("Campo CPF vazio");
                    document.projeto.cpf.focus();
                    return false;
                }

                if(document.projeto.matricula.value==""){
                    alert("Campo matrícula vazio");
                    document.projeto.matricula.focus();
                    return false;
                }

                if(document.projeto.dataDeNascimento.value==""){
                    alert("Campo data de nascimento vazio");
                    document.projeto.dataDeNascimento.focus();
                    return false;
                }

                alert("Dados enviados");
            }

            function limpar(){
                alert("Dados reiniciados");
            }

            function mudaCor(obj,tipo){
                if(tipo == 1){
                    obj.style.backgroundColor="gray";
                    obj.style.color="white";
                } else if(tipo == 2) {
                    obj.style.backgroundColor="white";
                    obj.style.color="black";
                }
            }

        </script>
    </head>

    <% if(message == null || ''){ %>
        
    <% } else{ %>  
        <script>alert('<%= message %>')</script>
    <% } %>

    <body onLoad="abrir()" onUnload="fechar()">
        <h1 class="header">Banco do Brasil</h1>

        <div id="logoEsquerda">
            <a href="https://www.bb.com.br/pbb/pagina-inicial#/" target="_blank" title="Ir para o site">
                <img src="bb.png" width="80px" height="80px" alt="Logo banco do Brasil">
            </a>
        </div>
        <div id="logoDireita">
            <a href="https://www.bb.com.br/pbb/pagina-inicial#/" target="_blank" title="Ir para o site">
                <img src="bb.png" width="80px" height="80px" alt="Logo banco do Brasil">
            </a>
        </div>

        <div id="caixa"></div>
        <div id="logoCentro">
            <a href="https://www.bb.com.br/pbb/pagina-inicial#/" target="_blank" title="Ir para o site">
                <img src="bb.png" width="100px" height="100px" alt="Logo banco do Brasil">
            </a>
        </div>

        <div id="entradas">
            <form action="/cadastro" method="post" onSubmit="return validar()">

                <label>Nome</label><br/>
                <input type="text" name="nome" placeholder="Nome" size="40" maxlength="40" onFocus="mudaCor(this,1)" onBlur="mudaCor(this,2)"><br/><br/>

                <label>CPF</label><br/>
                <input type="text" name="cpf" placeholder="CPF" size="40" maxlength="11" onFocus="mudaCor(this,1)" onBlur="mudaCor(this,2)"><br/><br/>

                <label>Matrícula</label><br/>
                <input type="text" name="matricula" placeholder="Matrícula" size="40" maxlength="8" onFocus="mudaCor(this,1)" onBlur="mudaCor(this,2)"><br/><br/>

                <label>Data de Nascimento</label><br/>
                <input type="date" name="dataDeNascimento" placeholder="Data de Nascimento" onFocus="mudaCor(this,1)" onBlur="mudaCor(this,2)"><br/><br/>

                <!-- <label>Senha</label><br/>
                <input type="password" name="senha" placeholder="Senha"><br/><br/> -->
                <input type="submit" name="submit" value="Enviar" onClick="validar()">
                <input type="reset" name="reset" value="Limpar" onClick="limpar()">

            </form>
        </div>
    </body>
</html>